当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装linux-686出问题了
帖子发表于 : 2005-10-17 16:33 

注册: 2005-10-11 11:15
帖子: 105
送出感谢: 0 次
接收感谢: 0 次
安装,结果每次都是死机,差不多安装到80%左右,强制关机,无法正确启动,修复过后能进入了,但是问题来了,每次用apt-get命令装完其它的东西,它就会自动安装这个linux-686

显示的是
1 not fully installed or removed.
有一个包未完全安装,然后就开始装
有什么命令完全删掉它呢?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2005-10-17 16:34 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
有个根子在吧。purge掉先。apt-get purge


_________________
● 鸣学


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-10-17 16:46 

注册: 2005-10-11 11:15
帖子: 105
送出感谢: 0 次
接收感谢: 0 次
用apt-get --purge linux-686出现
E: Invalid operation linux-686

用apt-get clean

用过apt-get clean之后,运行dpkg --configure -a
之后出现以下
Setting up linux-image-2.6.12-9-686 (2.6.12-9.23) ...
按Ctrl+C
There was a problem running depmod. This may be benign,
(You may have versioned symbol names, for instance).
Or this could be an error.
depmod exited with return value 0
depmod got a signal 2
Since this image uses initrd, I am not deleting the file
/lib/modules/2.6.12-9-686/modules.dep. However, there is no
guarantee that the file is valid. I would strongly advice
you to either abort and fix the errors in depmod, or
regenerate the initrd image with a known good modules.dep
file. I repeat, an initrd kernel image with a bad modules.dep
shall fail to boot.
Would you like to abort now? [No] y
dpkg: error processing linux-image-2.6.12-9-686 (--configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
linux-image-2.6.12-9-686


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-10-17 16:55 
头像

注册: 2005-08-18 18:43
帖子: 3277
送出感谢: 0 次
接收感谢: 3
apt-get -f install
修复一下依赖关系再更新看看


_________________
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2005-10-17 16:58 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
--purge前面加install, remove主命令才行。直接到新立得彻底删除算了。一样的。


_________________
● 鸣学


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2005-10-17 17:00 

注册: 2005-10-11 11:15
帖子: 105
送出感谢: 0 次
接收感谢: 0 次
内存不足 写道:
apt-get -f install
修复一下依赖关系再更新看看



运行之后,它又开始安装了
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up linux-image-2.6.12-9-686 (2.6.12-9.23) ...


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2005-10-17 17:02 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
试试我说的


_________________
● 鸣学


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2005-10-17 17:03 

注册: 2005-10-11 11:15
帖子: 105
送出感谢: 0 次
接收感谢: 0 次
eexpress 写道:
--purge前面加install, remove主命令才行。直接到新立得彻底删除算了。一样的。


sudo apt-get remove --purge linux-686
出现
Package linux-686 is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up linux-image-2.6.12-9-686 (2.6.12-9.23) ...

然后。。。唉,又开始安装了。。。。

新立得里面这个包没安装,所以也根本没有删除指令


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译